var i=1;
$(".vsidebar_list_icon_list").hover(

function(){ 
  var parentListElement = this;
  $('.vsidebar_txt', this).stop(true, true).animate({'width': 'show'}, 200);
  $(parentListElement).find('.vsidebar_txt').addClass('mouseOverTxt');

  $(parentListElement).find('.vsidebar_txt a').unbind().click(function(){
    console.log($(parentListElement).find('.vsidebar_txt').attr('id'));
    if( ($(parentListElement).find('.vsidebar_txt').attr('id') == 'CallbacksButtons') || ($(parentListElement).find('.vsidebar_txt').attr('id') == 'CallLogButtons') || ($(parentListElement).find('.vsidebar_txt').attr('id') == 'AgentTimeSpan') || ($(parentListElement).find('.vsidebar_txt').attr('id') == "LeadSearchIdOpenSearchForm")  || ($(parentListElement).find('.vsidebar_txt').attr('id') == "userActivityDescription"))
    {
      console.log('-------');
    }
    else
    {
      if($(parentListElement).find(".vsidebar_test_span").css('display') == 'none')
      {
        $(parentListElement).find('.vsidebar_test_span').show();
        $(parentListElement).find('.vsidebar_txt').addClass('mouseOverTxt');
      }
      else if($(parentListElement).find(".vsidebar_test_span").css('display') == 'inline')
      {
        $(parentListElement).find('.vsidebar_test_span').hide();
        $(parentListElement).find('.vsidebar_txt').removeClass('mouseOverTxt');
      }
    }
  });
  i++;
 }, 
function(){ 
  var parentListElement = this;
  if($(parentListElement).find(".vsidebar_test_span").css('display') == 'none')
  {
    $('.vsidebar_txt', this).delay(50).animate({'width': 'hide'}, 200);
    $(parentListElement).find('.vsidebar_txt').removeClass('mouseOverTxt');
  }
  else if($(parentListElement).find(".vsidebar_test_span").css('display') == 'block')
  {
    $(parentListElement).find('.vsidebar_txt').removeClass('mouseOverTxt');
  }
});
